Subject: Re: [PATCH] drivers/net: remove network drivers' last few uses of IRQF_SAMPLE_RANDOM

From: "Kok, Auke" <[email-masked]>
Date: Thu, 15 May 2008 11:47:40 -0700

Jeff Garzik wrote:
> Alan Cox wrote:
>>> In short, I agree with Alan's IRQF_SAMPLE_DUBIOUS, and know of Linux
>>> customers who also want the same.
>>
>> They should be made to read the Debian ssh security report - three times
>> and understand the same would apply to them if something did cause their
>> network packet arrivals to be observed or non-random
>>
>> Far better would be to get your CPU guys to put an RNG back into the
>> systems or on the CPU die ala VIA. Given I've even seen people using VIA
>> boxes as a random number feeder (streaming random numbers over SSL) there
>> is clearly a demand 8)
> 
> The Treacherous Platform Module includes an RNG.
> 
> Someone (hi Jesse?) should implement support for TPM_GetRandom.

Sounds like something he should neither use in the e1000 driver nor implement :)

This would be an interesting thing to the generic rng support in linux though

Auke